# Get contact

## Gets a resource by ID.

> Returns the resource with the specified ID. Use the select query parameter to specify which fields to include.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5287-g2eed84b0"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/notifications/contacts/{id}":{"get":{"tags":["Contacts"],"summary":"Gets a resource by ID.","description":"Returns the resource with the specified ID. Use the select query parameter to specify which fields to include.","parameters":[{"name":"id","in":"path","description":"The resource ID.","required":true,"schema":{"type":"string"}},{"name":"select","in":"query","description":"Optional RQL select statement to filter fields.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"Contact":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ContactAudit"}],"description":"Represents audit information for a Mpt.Notifications.Models.Contacts.Contact."},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"blockedReason":{"type":"string","nullable":true},"email":{"type":"string"},"status":{"type":"string"},"identity":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}],"nullable":true},"directories":{"type":"array","items":{"$ref":"#/components/schemas/Directory"},"nullable":true},"chat":{"type":"boolean"},"optOuts":{"type":"array","items":{"$ref":"#/components/schemas/Category"},"description":"Gets or sets the list of categories for which this contact has opted out of receiving notifications.","nullable":true},"user":{"allOf":[{"$ref":"#/components/schemas/User"}],"description":"Gets or sets the associated user information, if this contact is linked to a platform user.","nullable":true}},"additionalProperties":false,"description":"Represents a notification contact who can receive email notifications."},"ContactAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the contact was activated.","nullable":true},"blocked":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the contact was blocked.","nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the contact was deleted.","nullable":true}},"additionalProperties":false,"description":"Represents audit information for a Mpt.Notifications.Models.Contacts.Contact."},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PlatformIdentity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"Directory":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"account":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"origin":{"allOf":[{"$ref":"#/components/schemas/Account"}],"nullable":true},"type":{"type":"string"},"contacts":{"type":"array","items":{"$ref":"#/components/schemas/Contact"}}},"additionalProperties":false,"description":"Represents a contact directory associated with an account."},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"Category":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/NotificationCategoryAudit"}],"description":"Represents audit information for a Mpt.Notifications.Models.Categories.Category."},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","description":"Gets or sets the description of the category."},"optOutAllowed":{"type":"boolean","description":"Gets or sets a value indicating whether recipients can opt out of notifications in this category."},"status":{"type":"string","description":"Gets or sets the current status of the category."},"note":{"type":"string","description":"Gets or sets an optional note about the category.","nullable":true},"deleteAllowed":{"type":"boolean","description":"Gets or sets a value indicating whether this category can be deleted."},"statistics":{"allOf":[{"$ref":"#/components/schemas/MessageStatistics"}],"description":"Gets or sets the message statistics for this category."},"lastUsed":{"type":"string","description":"Gets or sets the timestamp of when this category was last used to send a notification.","format":"date-time","nullable":true},"enabledByDefault":{"type":"boolean","description":"Gets or sets a value indicating whether this category is enabled by default for new recipients."}},"additionalProperties":false,"description":"Represents a notification category that can be used to organize and filter notifications."},"NotificationCategoryAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the category was published.","nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the category was unpublished.","nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the category was deleted.","nullable":true}},"additionalProperties":false,"description":"Represents audit information for a Mpt.Notifications.Models.Categories.Category."},"MessageStatistics":{"type":"object","properties":{"month":{"type":"integer","description":"Gets or sets the number of messages sent in the current month.","format":"int32"},"today":{"type":"integer","description":"Gets or sets the number of messages sent today.","format":"int32"},"week":{"type":"integer","description":"Gets or sets the number of messages sent in the current week.","format":"int32"}},"additionalProperties":false,"description":"Represents message statistics aggregated over different time periods."},"User":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/UserAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"email":{"type":"string"},"status":{"type":"string"},"phone":{"allOf":[{"$ref":"#/components/schemas/PhoneNumber"}],"nullable":true},"firstName":{"type":"string"},"lastName":{"type":"string"},"lastLoginAt":{"type":"string","format":"date-time","nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/UserSettings"}],"nullable":true},"accounts":{"type":"array","items":{"$ref":"#/components/schemas/AccountRef"}},"currentAccount":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]}},"additionalProperties":false},"UserAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"invitationAcceptedAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PhoneNumber":{"type":"object","properties":{"prefix":{"type":"string","nullable":true},"number":{"type":"string","nullable":true}},"additionalProperties":false},"UserSettings":{"type":"object","properties":{"cultureCode":{"type":"string"},"dateFormat":{"type":"string","nullable":true},"languageCode":{"type":"string"},"numberFormat":{"allOf":[{"$ref":"#/components/schemas/NumberFormat"}],"nullable":true},"timeFormat":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false},"NumberFormat":{"type":"object","properties":{"decimalSeparator":{"type":"string"},"groupSeparator":{"type":"string"}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
